      program stat
*
*     Compute the mean and error in mean of a set of numbers
*     The numbers are given one per line in a file of unknown length
*
      n = 0
      av = 0.
      er = 0.
 10   read(*,*,end=19) t
         n = n + 1
         av = av + t
         er = er + t*t
         go to 10
 19      continue
*
      if (n.eq.1) then
         write(*,*) 'Degenerate case: n=1'
         write(*,6001) 'av = ', av
      else
         av = av/n
         er = sqrt((er/n-av*av)/(n-1))
         write(*,6001) 'av = ', av, er
      end if
*
 6001 format(a5,2e12.4)
      end
